MENU
Table of contents

Thanks for downloading Dynamsoft Barcode Reader Package!

Your download will start shortly. If your download does not begin, click here to retry.

Features & Requirements

Features

Supported Symbologies:

  • 1D barcode: Code 39, Code 128, Code 93, Codabar, Interleaved 2 of 5 (ITF), EAN-13, EAN-8, UPC-A, UPC-E, Industrial 2 of 5 (Code 2 of 5 Industry, Standard 2 of 5, Code 2 of 5), Code 39 Extended.
  • 2D barcode: PDF417, QR, DataMatrix, Aztec, MaxiCode, and DotCode.
  • GS1 Databar: Omnidirectional, Truncated, Stacked, Stacked Omnidirectional, Expanded, Expanded Stacked and Limited.
  • Patch Code
  • GS1 Composite Code
  • Postal Code: USPS Intelligent Mail, PostNet, Planet, Australian Post, UK Royal Mail (RM4SCC).

Supported Data Sources:

Blob, HTMLImageElement, HTMLVideoElement, and URL, etc.

Compact and Full Editions

Two editions - Compact and Full - are available. The Compact Edition includes basic features with smaller size allowing for faster download and compiling. The Full Edition includes full features but with a larger size.

The following table shows available features between the two editions:

Features Compact edition Full edition
wasm size1(gzip) 810KB 1.1 MB
1D
QR
Micro QR -
PDF417
Micro PDF417 -
DataMatrix
Aztec -
MaxiCode -
Patch Code -
GS1 Composite Code -
GS1 DataBar -
DotCode -
Postal Code -
DPM -
getRuntimeSettings
updateRuntimeSettings
getIntermediateResults -
initRuntimeSettingsWithString -
outputSettingsToString -
recommended scenario2 Customer Facing Application Enterprise Solution

1 The wasm file size is of version 7.2.2. In later versions, the size may differ.

2 For the scenario where a user only needs to scan a barcode once, the Compact Edition is recommended as it downloads and compiles faster. For scenarios where a user needs to continuously scan many barcodes or where specific uncommon barcodes or advanced features are required, use the Full Edition by simply setting the following before you call loadWasm or CreateInstance.

Dynamsoft.DBR.BarcodeReader._bUseFullFeature = true;

System Requirements

This library requires some advanced features supported by all modern mainstream browsers:

  • WebAssembly, Blob, URL/createObjectURL, Web Workers

    These four features are required for the library to work.

  • MediaDevices/getUserMedia

    This is only required for in-browser video streaming. If a browser does not support this API, Single Frame Mode will be used automatically. If the API exists but doesn’t work correctly, Single Frame Mode can be used as an alternative.

The following table is a list of supported browsers:

Browser Name Version
Chrome v57+ (v59+ on Android/iOS1)
Firefox v52+ (v55+ on Android/iOS1)
Edge2 v16+
Safari3 v11+

1 On iOS, camera video streaming is only supported in Safari.
2 On Edge, due to strict Same-origin policy, you must host the library on the same domain as your webpage.
3 Safari 11.2.2 ~ 11.2.6 are not supported.

NOTE: Apart from the browsers, the operating systems running on the target devices may impose some limitations of their own that could restrict the use of the library. Browser compatibility ultimately depends on whether the browser on that particular operating system supports the features listed above.

This page is compatible for:

Version 7.5

Is this page helpful?

YesYes NoNo

In this article:

latest version

  • Latest Version
  • version 7.6
  • version 7.5
Change +
© 2003–2020 Dynamsoft. All rights reserved.
Privacy Statement / Site Map / Home / Purchase / Support